Restore a soft-deleted vault
POST
/vaults/{id}/restore
const url = 'https://api.engram.page/vaults/example/restore';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.engram.page/vaults/example/restore \ --header 'Authorization: Bearer <token>'Restores a soft-deleted vault back to active within its 30-day window. Returns 402 when restoring would exceed the plan’s vault cap and 404 when no such vault exists.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Vault UUID
Responses
Section titled “Responses”Restored
Media typeapplication/json
VaultResponse
object
vault
required
Vault
object
attachment_count
integer
created_at
string format: date-time
deleted_at
string format: date-time
description
string
encrypted
Always true — vaults are encrypted at rest.
boolean
id
required
string format: uuid
is_default
boolean
name
required
string
note_count
integer
purge_at
When a soft-deleted vault is hard-purged (deleted_at + 30d).
string format: date-time
slug
string
Examplegenerated
{ "vault": { "attachment_count": 1, "created_at": "2026-04-15T12:00:00Z", "deleted_at": "2026-04-15T12:00:00Z", "description": "example", "encrypted": true, "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "is_default": true, "name": "example", "note_count": 1, "purge_at": "2026-04-15T12:00:00Z", "slug": "example" }}Vault cap reached
No such vault
Media typeapplication/json
MessageError
object
error
required
string
Example
{ "error": "not found"}